| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::OpenCVDNNFaceDetector Class Reference

## Public Member Functions
| OpenCVDNNFaceDetector (DetectorNNModel model=DetectorNNModel::DNNDetectorYuNet)
std::vector< cv::Rect > | cvDetectFaces (const cv::Mat &inputImage, const cv::Size &paddedSize)
QList< QRect > | detectFaces (const cv::Mat &inputImage, const cv::Size &paddedSize)
cv::Mat | prepareForDetection (const DImg &inputImage, cv::Size &paddedSize) const
cv::Mat | prepareForDetection (const QImage &inputImage, cv::Size &paddedSize) const
cv::Mat | prepareForDetection (const QString &inputImagePath, cv::Size &paddedSize) const
cv::Mat | prepareForDetectionYuNet (cv::Mat &cvImage, cv::Size &paddedSize) const
void | setAccuracy (const int accuracy)
void | setFaceDetectionSize (FaceScanSettings::FaceDetectionSize size)

## Static Public Member Functions
static int | recommendedImageSizeForDetection ()

## Member Function Documentation

## ◆ recommendedImageSizeForDetection()

int Digikam::OpenCVDNNFaceDetector::recommendedImageSizeForDetection | ( |  | ) |
| static

Returns
  the image size (one dimension). recommended for face detection. If the image is considerably larger, it will be rescaled automatically.